Subject: Re: bug#63708: 29.0.60; rust-ts-mode not properly handling apostrophe

From: Randy Taylor <[email-masked]>
Date: Mon, 29 May 2023 01:29:31 +0000

On Sunday, May 28th, 2023 at 15:51, Йордан Миладинов <[email-masked]> wrote:
> Thanks for the comments!
> 
> Here's the updated review + the same trick applied for Go as well as I discovered the same bug in go-ts-mode.

Thanks. For go-ts-mode I think we can just update the syntax table directly like in your first patch to rust-ts-mode, since apostrophes don't have any other meaning (to my knowledge).

> 
> > On Saturday, May 27th, 2023 at 6:00 AM, Randy Taylor [email-masked] > wrote:
> > 
> > Do we want to use string-to-syntax here?
> 
> 
> I believe we do as this is what both the old c-mode and the new c-ts-mode define.

What I meant was using the string-to-syntax function, like so: (string-to-syntax "\"")

Makes it a little easier to read instead of a magic number.

> 
> If you're going to commit these fixes for both Rust and Go, would you like me to go through all native treesiter modes, check for the same bug and eventually apply the same fix?

I won't be committing them (don't have the ability) but Eli likely will.

If you'd like to go through them all and check, that would be great. However, for non-trivial contributions (i.e. more than 15 lines of code changes across all your contributions I believe) you will need to assign copyright to the FSF, otherwise the changes can't be accepted. Eli can send you the form to fill out if you're interested.